summary refs log tree commit diff
path: root/x11-misc
diff options
context:
space:
mode:
authorAzat Bahawi <azahi@teknik.io>2020-08-12 14:53:33 +0300
committerAzat Bahawi <azahi@teknik.io>2020-08-12 14:53:33 +0300
commit016e5e230228388fbe9d0326caa476cf6754a0b0 (patch)
tree8e4e9f3024785dce2804095f667742d69c95831c /x11-misc
parentUpdate README.rst (diff)
x11-misc/bgs: Bump EAPI, Add live
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/bgs/Manifest2
-rw-r--r--x11-misc/bgs/bgs-0.8-r1.ebuild (renamed from x11-misc/bgs/bgs-0.8.ebuild)27
-rw-r--r--x11-misc/bgs/bgs-9999.ebuild44
3 files changed, 66 insertions, 7 deletions
diff --git a/x11-misc/bgs/Manifest b/x11-misc/bgs/Manifest
index 674de23..2e78040 100644
--- a/x11-misc/bgs/Manifest
+++ b/x11-misc/bgs/Manifest
@@ -1 +1 @@
-DIST v0.8.tar.gz 5122 BLAKE2B f2d90e945e087c1e45d66c0a5e35dfa3057f422f8f3220a1665e812bc1db824f8dbc50e066387437b91b65e634bbfa43d6dddd55bc168e195abb84b61a37aa40 SHA512 4f7aa32d9cf60252abfc87cf72c7bc20ac691af3684a0923d3e2a3506407bddee9d2e5f49da97a154ed2acf1a876b2952ab61dd412f2de39c1303e7551acaec8
+DIST bgs-0.8.tar.gz 5122 BLAKE2B f2d90e945e087c1e45d66c0a5e35dfa3057f422f8f3220a1665e812bc1db824f8dbc50e066387437b91b65e634bbfa43d6dddd55bc168e195abb84b61a37aa40 SHA512 4f7aa32d9cf60252abfc87cf72c7bc20ac691af3684a0923d3e2a3506407bddee9d2e5f49da97a154ed2acf1a876b2952ab61dd412f2de39c1303e7551acaec8
diff --git a/x11-misc/bgs/bgs-0.8.ebuild b/x11-misc/bgs/bgs-0.8-r1.ebuild
index 11d73ee..a80b487 100644
--- a/x11-misc/bgs/bgs-0.8.ebuild
+++ b/x11-misc/bgs/bgs-0.8-r1.ebuild
@@ -1,18 +1,30 @@
 # Copyright 2018-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Gottox/bgs"
+fi
 
 DESCRIPTION="Simple background setter based on imlib2"
 HOMEPAGE="https://github.com/Gottox/bgs"
-SRC_URI="https://github.com/Gottox/bgs/archive/v${PV}.tar.gz"
+
+if [[ ${PV} == *9999 ]]; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/Gottox/bgs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
 
 LICENSE="MIT"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
 IUSE="xinerama"
 
-DEPEND="media-libs/imlib2
+DEPEND="xinerama? ( x11-libs/libXinerama )
+	media-libs/imlib2
 	x11-libs/libX11
 "
 RDEPEND="${DEPEND}"
@@ -20,10 +32,13 @@ RDEPEND="${DEPEND}"
 src_prepare() {
 	default
 
-	sed -e 's/PREFIX = \/usr\/local/PREFIX = \/usr/' -i config.mk || die
-
 	if use xinerama; then
 		sed -e '/XINERAMALIBS/d' -i config.mk || die
 		sed -e '/XINERAMAFLAGS/d' -i config.mk || die
 	fi
 }
+
+src_install() {
+	dobin ${PN}
+	doman ${PN}.1
+}
diff --git a/x11-misc/bgs/bgs-9999.ebuild b/x11-misc/bgs/bgs-9999.ebuild
new file mode 100644
index 0000000..a80b487
--- /dev/null
+++ b/x11-misc/bgs/bgs-9999.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2018-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Gottox/bgs"
+fi
+
+DESCRIPTION="Simple background setter based on imlib2"
+HOMEPAGE="https://github.com/Gottox/bgs"
+
+if [[ ${PV} == *9999 ]]; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/Gottox/bgs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="xinerama"
+
+DEPEND="xinerama? ( x11-libs/libXinerama )
+	media-libs/imlib2
+	x11-libs/libX11
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	default
+
+	if use xinerama; then
+		sed -e '/XINERAMALIBS/d' -i config.mk || die
+		sed -e '/XINERAMAFLAGS/d' -i config.mk || die
+	fi
+}
+
+src_install() {
+	dobin ${PN}
+	doman ${PN}.1
+}

Consider giving Nix/NixOS a try! <3